<?php
function stripslashes_deep($value)
{
    $value = is_array($value) ? array_map('stripslashes_deep', $value) : stripslashes($value);
    return $value;
}
function isValidEmail($email)
{
    $email = trim($email);
    if ($email == "") {
        return false;
    }
    if (!eregi("^" . "[a-z0-9]+([_\\.-][a-z0-9]+)*" . // user
            "@" . "([a-z0-9]+([\.-][a-z0-9]+)*)+" . // domain
            "\\.[a-z]{2,}" . // sld, tld
            "$", $email, $regs)) {
        return false;
    } else {
        return true;
    }
}
function isValidUsername($str)
{
    if (trim($str) != "") {
        if (eregi ("[^0-9a-zA-Z+_]", $str)) {
            return false;
        } else {
            return true;
        }
    } else {
        return false;
    }
}
function onlyChars($str)
{
    if (eregi ("[^a-zA-Z]", $str)) {
        return false;
    } else {
        return true;
    }
}
function isNotNull($value)
{
    if (is_array($value)) {
        if (sizeof($value) > 0) {
            return true;
        } else {
            return false;
        }
    } else {
        if (($value != '') && (strtolower($value) != 'null') && (strlen(trim($value)) > 0)) {
            return true;
        } else {
            return false;
        }
    }
}

function pageBrowser($totalrows,$numLimit,$amm,$queryStr,$numBegin,$start,$begin,$num) {

		$larrow = "&nbsp;<<&nbsp;"; //You can either have an image or text, eg. Previous
		$rarrow = "&nbsp;>>&nbsp;"; //You can either have an image or text, eg. Next
		$wholePiece = ""; //This appears in front of your page numbers
        $visitedstyle="pagebrowservisted";
        $arrowstyle="pagebrowsearrowstyle";
        $linkstyle="pagebrowselinkstyle";
		if ($totalrows > 0) {
				$numSoFar = 1;
				$cycle = ceil($totalrows/$amm);
				if (!isset($numBegin) || $numBegin < 1) {
						$numBegin = 1;
						$num = 1;
				}
				if (!isset($start) || $start < 0) {
						$minus = $numBegin-1;
						$start = $minus*$amm;
				}
				if (!isset($begin)) {
						$begin = $start;
				}
				$preBegin = $numBegin-$numLimit;
				$preStart = $amm*$numLimit;
				$preStart = $start-$preStart;
				$preVBegin = $start-$amm;
				$preRedBegin = $numBegin-1;
				if ($start > 0 || $numBegin > 1) {
						$wholePiece .= "<a class=\"\$arrowstyle\" href='?num=".$preRedBegin
										."&start=".$preStart
										."&numBegin=".$preBegin
										."&begin=".$preVBegin
										.$queryStr."'>"
										.$larrow."</a>\n";
				}
				for ($i=$numBegin;$i<=$cycle;$i++) {
						if ($numSoFar == $numLimit+1) {
								$piece = "<a class=\"$arrowstyle\" href='?numBegin=".$i
										."&num=".$i
										."&start=".$start
										.$queryStr."'>"
										.$rarrow."</a>\n";
								$wholePiece .= $piece;
								break;
						}
						$piece = "<a class=\"pagebrowser\" href='?begin=".$start
								."&num=".$i
								."&numBegin=".$numBegin
								.$queryStr
								."'>";
						if ($num == $i) {
								$piece .= "<font class=\"$visitedstyle\">$i</font></b>";
						} else {
								$piece .= "<font class=\"$linkstyle\">$i</font>";
						}
						$piece .= "</a>\n";
						$start = $start+$amm;
						$numSoFar++;
						$wholePiece .= $piece;
				}
				$wholePiece .= "\n";
				$wheBeg = $begin+1;
				$wheEnd = $begin+$amm;
				$wheToWhe = "<b>".$wheBeg."</b> - <b>";
				if ($totalrows <= $wheEnd) {
						$wheToWhe .= $totalrows."</b>";
				} else {
						$wheToWhe .= $wheEnd."</b>";
				}
				$sqlprod = " LIMIT ".$begin.", ".$amm;
		} else {
				$wholePiece = "<br><br><p align=center><font size='1'>Sorry, no records to display.</font></p>";
				$wheToWhe = "<b>0</b> - <b>0</b>";
		}

		return array($sqlprod,$wheToWhe,$wholePiece);
}
if (!function_exists('array_combine')) {
    function array_combine($a1, $a2)
    {
        if (count($a1) != count($a2))
            return false;
        if (count($a1) <= 0)
            return false;
        $a1 = array_values($a1);
        $a2 = array_values($a2);
        $output = array();
        for($i = 0; $i < count($a1); $i++) {
            $output[$a1[$i]] = $a2[$i];
        }
        return $output;
    }
}

function dateFormat($input_date, $input_format, $output_format)
{
    preg_match("/^([\w]*)/i", $input_date, $regs);
    $sep = substr($input_date, strlen($regs[0]), 1);
    $label = explode($sep, $input_format);
    $value = explode($sep, $input_date);
    $array_date = array_combine($label, $value);
    if (in_array('Y', $label)) {
        $year = $array_date['Y'];
    } elseif (in_array('y', $label)) {
        $year = $year = $array_date['y'];
    } else {
        return false;
    }

    $output_date = date($output_format, mktime(0, 0, 0, $array_date['m'], $array_date['d'], $year));
    return $output_date;
}
function datediff($interval, $datefrom, $dateto, $using_timestamps = false)
{
    /*
    $interval can be:
    yyyy - Number of full years
    q - Number of full quarters
    m - Number of full months
    y - Difference between day numbers
      (eg 1st Jan 2004 is "1", the first day. 2nd Feb 2003 is "33". The datediff is "-32".)
    d - Number of full days
    w - Number of full weekdays
    ww - Number of full weeks
    h - Number of full hours
    n - Number of full minutes
    s - Number of full seconds (default)
  */
    if (!$using_timestamps) {
        $datefrom = strtotime($datefrom, 0);
        $dateto = strtotime($dateto, 0);
    }
    $difference = $dateto - $datefrom; // Difference in seconds
    switch ($interval) {
        case 'yyyy': // Number of full years
            $years_difference = floor($difference / 31536000);
            if (mktime(date("H", $datefrom), date("i", $datefrom), date("s", $datefrom), date("n", $datefrom), date("j", $datefrom), date("Y", $datefrom) + $years_difference) > $dateto) {
                $years_difference--;
            }
            if (mktime(date("H", $dateto), date("i", $dateto), date("s", $dateto), date("n", $dateto), date("j", $dateto), date("Y", $dateto) - ($years_difference + 1)) > $datefrom) {
                $years_difference++;
            }
            $datediff = $years_difference;
            break;
        case "q": // Number of full quarters
            $quarters_difference = floor($difference / 8035200);
            while (mktime(date("H", $datefrom), date("i", $datefrom), date("s", $datefrom), date("n", $datefrom) + ($quarters_difference * 3), date("j", $dateto), date("Y", $datefrom)) < $dateto) {
                $months_difference++;
            }
            $quarters_difference--;
            $datediff = $quarters_difference;
            break;
        case "m": // Number of full months
            $months_difference = floor($difference / 2678400);
            while (mktime(date("H", $datefrom), date("i", $datefrom), date("s", $datefrom), date("n", $datefrom) + ($months_difference), date("j", $dateto), date("Y", $datefrom)) < $dateto) {
                $months_difference++;
            }
            $months_difference--;
            $datediff = $months_difference;
            break;
        case 'y': // Difference between day numbers
            $datediff = date("z", $dateto) - date("z", $datefrom);
            break;
        case "d": // Number of full days
            $datediff = floor($difference / 86400);
            break;
        case "w": // Number of full weekdays
            $days_difference = floor($difference / 86400);
            $weeks_difference = floor($days_difference / 7); // Complete weeks
            $first_day = date("w", $datefrom);
            $days_remainder = floor($days_difference % 7);
            $odd_days = $first_day + $days_remainder; // Do we have a Saturday or Sunday in the remainder?
            if ($odd_days > 7) { // Sunday
                $days_remainder--;
            }
            if ($odd_days > 6) { // Saturday
                $days_remainder--;
            }
            $datediff = ($weeks_difference * 5) + $days_remainder;
            break;
        case "ww": // Number of full weeks
            $datediff = floor($difference / 604800);
            break;
        case "h": // Number of full hours
            $datediff = floor($difference / 3600);
            break;
        case "n": // Number of full minutes
            $datediff = floor($difference / 60);
            break;
        default: // Number of full seconds (default)
            $datediff = $difference;
            break;
    }
    return $datediff;
}

function getStatusList()
{
    global $tbl_prefix;
    static $options;
    $sql = " SELECT order_status_id, order_status FROM " . $tbl_prefix . "order_status ";
    $resoptions = mysql_query($sql);
    $numoptions = mysql_num_rows($resoptions);
    if ($numoptions > 0) {
        while (list($stid, $stname) = mysql_fetch_row($resoptions)) {
            $options[$stid] = $stname ;
        }
    }
    return $options;
}


function getClientIP()
{
    // Get REMOTE_ADDR as the Client IP.
    $client_ip = (!empty($_SERVER['REMOTE_ADDR'])) ? $_SERVER['REMOTE_ADDR'] : ((!empty($_ENV['REMOTE_ADDR'])) ? $_ENV['REMOTE_ADDR'] : $REMOTE_ADDR);
    // Check for headers used by proxy servers to send the Client IP. We should look for HTTP_CLIENT_IP before HTTP_X_FORWARDED_FOR.
    if ($_SERVER["HTTP_CLIENT_IP"])
        $proxy_ip = $_SERVER["HTTP_CLIENT_IP"];
    elseif ($_SERVER["HTTP_X_FORWARDED_FOR"])
        $proxy_ip = $_SERVER["HTTP_X_FORWARDED_FOR"];
    // Proxy is used, see if the specified Client IP is valid. Sometimes it's 10.x.x.x or 127.x.x.x... Just making sure.
    if ($proxy_ip) {
        if (preg_match("/^([0-9]+\.[0-9]+\.[0-9]+\.[0-9]+)/", $proxy_ip, $ip_list)) {
            $private_ip = array('/^0\./', '/^127\.0\.0\.1/', '/^192\.168\..*/', '/^172\.16\..*/', '/^10.\.*/', '/^224.\.*/', '/^240.\.*/');
            $client_ip = preg_replace($private_ip, $client_ip, $ip_list[1]);
        }
    }
    // Return the Client IP.
    return $client_ip;
}

function isValidWebImageType($mimetype)
{
    if (($mimetype == "image/pjpeg") || ($mimetype == "image/jpeg") || ($mimetype == "image/x-png") || ($mimetype == "image/png") || ($mimetype == "image/gif")){
        return true;
    } else {
        return false;
    }
}

function mysql_customerror($qry,$path){

         $qry=$qry."  Error:::[ ".mysql_error()." ] ";
         $page=$_SERVER['SCRIPT_NAME'];
         $qrynew ="*********************************************************************************";
		 $qrynew .="\n\n[ ".$qry." ]\n\n".$page."  Date :".date("m-d-Y")."\n\n"."*********************************************************************************";
         $fp=fopen("$path/qrylog/qrylog.txt","a");
         fputs($fp,$qrynew);
         fclose($fp);
		echo "Server busy.Please try later";
}
function makeDropDownList($ddlname,$list,$selectedindex,$emptyrequired, $class, $properties, $behaviors ){
        $ddl="";
        $ddl.="<select name=\"$ddlname\" class=\"$class\"";
        if(isNotNull($properties)){
                $ddl.= " \"$properties\"";
        }
        if(isNotNull($behaviors)){
                $ddl.= " $behaviors ";
        }
        $ddl.= " >";
		if($emptyrequired){
			$ddl .="<option value=''";
    		$ddl .="></option>\n";
		}
        if(count($list)>0){
                foreach($list  as $key => $value){
                        $ddl .= "<option value=\"$key\"";
                        if($selectedindex == "$key"){
                                $ddl .=" selected=\"selected\"";
                        }
                $ddl .=">$value</option>\n";
                }
        }
        $ddl.="</select>";
        return $ddl;
}
function isIntorfloat($str)
{
    if (trim($str) == "")
        return FALSE;
    $strlength = strlen($str);
    $dotcount = 0;
    for($i = 0;$i < $strlength;$i++) {
        if (ord($str[$i]) >= 48 and ord($str[$i]) <= 57) {
            continue;
        } else if ($str[$i] == "." and $dotcount == 0 and $i != $strlength-1) {
            $dotcount++;
            continue;
        } else {
            return FALSE;
        }
    }
    return TRUE;
}
function isIntOnly($str)
{
    if (trim($str) == "")
        return FALSE;
    $strlength = strlen($str);
    $dotcount = 0;
    for($i = 0;$i < $strlength;$i++) {
        if (ord($str[$i]) >= 48 and ord($str[$i]) <= 57) {
            continue;
        } else {
            return FALSE;
        }
    }
    return TRUE;
}
function fillNumber($var_inv_no) {
        $var_inv_no = "" . $var_inv_no;
        switch(strlen($var_inv_no)) {
                case 1:
                        $var_inv_no = "000000" . $var_inv_no;
                        break;
                case 2:
                        $var_inv_no = "00000" . $var_inv_no;
                        break;
                case 3:
                        $var_inv_no = "0000" . $var_inv_no;
                        break;
                case 4:
                        $var_inv_no = "000" . $var_inv_no;
                        break;
                case 5:
                        $var_inv_no = "00" . $var_inv_no;
                        break;
                case 6:
                        $var_inv_no = "0" . $var_inv_no;
                        break;
        }
        return $var_inv_no;
}

function isEligibleForFreeService($uid){
	global $tbl_prefix;
	$sqlfree = "SELECT count(nuser_id) as cnt FROM ".$tbl_prefix."support_main WHERE nuser_id='$uid' and  vsupport_type = 'FREE' ";
	$resultfree = mysql_query($sqlfree);
	$row = mysql_fetch_array($resultfree);
	$num = $row["cnt"];
	if($num > 0){
		return false;
	}else{
		return true;
	}
}

function moreThanOnePlanSelected($uid){
	global $tbl_prefix;
	$sqlfree = "Select ncomboid from ".$tbl_prefix."cart where nuser_id  = '$uid'";
	$resultfree = mysql_query($sqlfree);
	$cnt=0;
	$var_comboid="";
	while($row = mysql_fetch_array($resultfree)) {
		if ($var_comboid != $row["ncomboid"] && $row["ncomboid"] != "0") {
			$cnt++;
			$var_comboid = $row["ncomboid"];
		}
		elseif($row["ncomboid"] == "0") {
			$cnt++;
		}
	}
	if($cnt > 1){
		return true;
	}else{
		return false;
	}
}
function comboPlanSelected($uid){
	global $tbl_prefix;
	$sqlfree = "Select ncomboid from ".$tbl_prefix."cart WHERE nuser_id  = '$uid' and ncomboid > '0' ";
	//echo $sqlfree;
	//exit;
	$resultfree = mysql_query($sqlfree);
	if(mysql_num_rows($resultfree) > 0){
		return true;	
	}
	return false;	
}
function isCartEmpty($uid){
	global $tbl_prefix;
	$sqlfree = "Select count(nuser_id) as cnt from ".$tbl_prefix."cart where nuser_id  = '$uid'";
	$resultfree = mysql_query($sqlfree);
	$row = mysql_fetch_array($resultfree);
	$num = $row["cnt"];
	if($num == 0){
		return true;
	}else{
		return false;
	}
}
function userAfterLogin(){
	if (isset($gafterlogin) and $gafterlogin == "YES") {
	  	return true;  
	}else{
		return false;
	}
}
function getServiceType($stid){
	global $conn,$tbl_prefix;
	$sqlst = "SELECT sp.vst_type  FROM  ".$tbl_prefix."service_types sp WHERE  ";
 	$sqlst .= " sp.nst_id = '$stid' " ;
	$resultst = mysql_query($sqlst, $conn);
	$rowst = mysql_fetch_array($resultst);
	$stname = $rowst["vst_type"];
	return $stname;
}

function getNewInvoiceNumber(){
	global $conn,$tbl_prefix;
		$sql = "Update ".$tbl_prefix."generate_id set ninvoice_id = ninvoice_id + 1 where nid='1'";
        mysql_query($sql) or die(mysql_error());

        $sql = "Select * from ".$tbl_prefix."generate_id";
        $result = mysql_query($sql) or die(mysql_error());
        if (mysql_num_rows($result) > 0) {
                $row = mysql_fetch_array($result);
                $var_inv_no = $row["ninvoice_id"];
                $var_inv_no = fillNumber($var_inv_no);
        }
		
		return $var_inv_no;

}

function insertOrder($userid,$ordertype,$paymentmethod){
	global $tbl_prefix;
	$itemspurchased = "";
	$today  = date("Y-m-d H:i:s");
	$sqlcartdetail = "SELECT ncart_id, nrate_id, nplan_id,ncomboid , vrate_description, nduration,namount,namt_after_disc,
					 nquantity,vrecurring,nrecurring_days,nunit_count,npacket_count,vunit_type,vbilling_interval,nunit_rate,
					 namt_month,namt_month_after_disc,ndiscount 
					  FROM  ".$tbl_prefix."cart   WHERE nuser_id = '".addslashes($userid)."'  ";
	$result = mysql_query($sqlcartdetail);
	$i= 1;
	if(mysql_num_rows($result) > 0){
		if($row = mysql_fetch_array($result)){
			$cartid = $row["ncart_id"];
			$planid = $row["nplan_id"];
			$rateid = $row["nrate_id"];
			$comboid = $row["ncomboid"];
			$description = $row["vrate_description"];
			$duration = $row["nduration"];
			$amount = $row["namount"];
			$amt_after_disc = $row["namt_after_disc"];
			$quantity = $row["nquantity"]; 
			$recurring = $row["vrecurring"];
			$recurringdays = $row["nrecurring_days"];
			$units = $row["nunit_count"];
			$unittype = $row["vunit_type"];
			$packetcount = $row["npacket_count"];
			$supporttype = $ordertype;
			$itemspurchased .= "$i. ". $description . "<br>";
			$invno = getNewInvoiceNumber();
			
			
			$sql = "INSERT INTO ".$tbl_prefix."invoice(ninv_id,vinv_no,nuser_id,dgenerated,ddue,namt,ntotal,ndiscount,vterms,vnotes,vmethod ) VALUES (
					'',
					'" .$invno . "',
					'" . $userid . "',
					'" . $today . "',
					'" . $today . "',
					'" . $amount . "',
					'" . addslashes($amt_after_disc) . "',
					'0',
					'',
					'Free Trial',
					'fr'
					)";
			mysql_query($sql) or die(mysql_error());
			$invoiceid = mysql_insert_id();
			
			//echo "<br>".$sql;
			
			/*$sql = "INSERT INTO tbl_invoice_plan(ninv_detail_id,ninv_id,nplan_id,nrate_id,ncomboid,vrate_desc,namt,vrecurring,
			nrecurring_days,nduration,npacket_count,nunit_count,vunit_type) VALUES ";
			$sql .= "('','$invoiceid','" . $planid . "','" . $rateid . "','" . $comboid . "','" . $description .  "','" . $amount . "','" . $recurring . "','" . $recurringdays . "','" . $duration . "','" . $packetcount . "','" . $units . "','" . $unittype . "')";	
			mysql_query($sql) or die(mysql_error());*/
			
			$stopdate = date("Y-m-d H:i:s", mktime(date("H"), date("i"), date("s"), date("m")  , date("d")+ 13, date("Y")));
			
			
			$sql = "Insert into ".$tbl_prefix."invoice_plan(ninv_detail_id,ninv_id,nplan_id,nrate_id,ncomboid,
					namt,vrate_desc,vrecurring,nrecurring_days,nduration,npacket_count,nunit_count,
					vunit_type,vbilling_interval,nunit_rate,namt_disc,namt_month,namt_month_after_disc,
					ndiscount,ddate_start,ddate_stop) Values('','$invoiceid',
					'" . $row["nplan_id"] . "',
					'" . $row["nrate_id"] . "',
					'" . $row["ncomboid"] . "',
					'" . $row["namount"] . "',
					'" . addslashes($row["vrate_description"]) . "',
					'" . addslashes($row["vrecurring"]) . "',
					'" . $row["nrecurring_days"] . "',
					'" . $row["nduration"] . "',
					'" . $row["npacket_count"] . "',
					'" . $row["nunit_count"] . "',
					'" . addslashes($row["vunit_type"]) . "',
					'" . addslashes($row["vbilling_interval"]) . "',
					'" . $row["nunit_rate"]. "',
					'" . $row["namt_after_disc"] . "',
					'" . $row["namt_month"] . "',
					'" . $row["namt_month_after_disc"] . "',
					'" . $row["ndiscount"] . "',
					'" . $today . "',
					'" . $stopdate . "')";
			mysql_query($sql) or die(mysql_error());		
			
			//echo "<br>".$sql;
			//$ratespurchased .=  
			
			/*$sqlinsertentry = "  INSERT INTO tbl_support_main(nss_id,nuser_id,nplan_id,nrate_id,vinv_no,ncomboid,  ";
			$sqlinsertentry .= " vplan_rate_desc, namt,vsupport_type ,ddate_purchase,vrecurring, ";
			$sqlinsertentry .= " nrecurring_days,ddate_start,ddate_stop,vdel_status,nunit_count,nunit_balance,vunit_type,nduration, npacket_count )";
			$sqlinsertentry .= " VALUES ('','".addslashes($userid)."','".addslashes($planid)."','".addslashes($rateid)."','".addslashes($invno)."','".addslashes($comboid)."', ";
			$sqlinsertentry .= " '".addslashes($description)."', '".addslashes($amount)."', '".addslashes($supporttype)."','".$today."' , '".addslashes($recurring)."', ";
			$sqlinsertentry .= " '".addslashes($recurringdays)."','".$today."','".addslashes($stopdate)."','0','".addslashes($units)."','".addslashes($units)."','".addslashes($unittype)."','".addslashes($duration)."','".addslashes($packetcount)."'  )";
			//echo $stopdate;
			mysql_query($sqlinsertentry);*/
			
			
			$sql = "Insert into ".$tbl_prefix."support_main(nss_id,nuser_id,nplan_id,nrate_id,ncomboid,vinv_no,
								vplan_rate_desc,namt,vsupport_type,ddate_purchase,vrecurring,nrecurring_days,
								ddate_start,ddate_stop,nunit_count,nunit_balance,vunit_type,nduration,
								npacket_count,vbilling_interval,nunit_rate,namt_after_disc,namt_month,
								namt_month_after_disc,ndiscount) Values('',
								'" . $userid . "',
								'" . $row["nplan_id"] . "',
								'" . $row["nrate_id"] . "',
								'" . $row["ncomboid"] . "',
								'" . $invno . "',
								'" . addslashes($row["vrate_description"]) . "',
								'" . $row["namount"] . "',
								'$supporttype',
								'" . $today . "',
								'" . addslashes($row["vrecurring"]) . "',
								'" . $row["nrecurring_days"] . "',
								'" . $today . "',
								'" . $stopdate . "',
								'" . $row["nunit_count"] . "',
								'" . $row["nunit_count"] . "',
								'" . addslashes($row["vunit_type"]) . "',
								'" . $row["nduration"] . "',
								'" . $row["npacket_count"] . "',
								'" . addslashes($row["vbilling_interval"]) . "',
								'" . $row["nunit_rate"]. "',
								'" . $row["namt_after_disc"] . "',
								'" . $row["namt_month"] . "',
								'" . $row["namt_month_after_disc"] . "',
								'" . $row["ndiscount"] . "')";
						mysql_query($sql) or die(mysql_error());
						
			//echo "<br>".$sqlinsertentry;
			//delete from the cart
			$sqldeletefromcart = "DELETE FROM  ".$tbl_prefix."cart WHERE ncart_id = '$cartid' ";                                   
			mysql_query($sqldeletefromcart);
			$i++;
		}
		
		$sqlfree = "SELECT count(nuser_id) as cnt FROM ".$tbl_prefix."support_main WHERE nuser_id='$userid' and  vsupport_type = 'PAID' ";
		$resultfree = mysql_query($sqlfree);
		$row = mysql_fetch_array($resultfree);
		$num = $row["cnt"];
		if($num == 0){
			$sqlupd = "UPDATE ".$tbl_prefix."user_mast SET vaff_type = 'FREE' WHERE nuser_id='$userid'  ";
			mysql_query($sqlupd);
		}
		//sending mail to the armia site
		$sqluserdetails = "SELECT  vname , vemail  FROM ".$tbl_prefix."user_mast where nuser_id='$userid'";
		$resultuserdetails = mysql_query($sqluserdetails) or die(mysql_error());
		if(mysql_num_rows($resultuserdetails) != 0){
			$rowuserdetails = mysql_fetch_array($resultuserdetails);
			$username = $rowuserdetails["vname"];
			$useremail = $rowuserdetails["vemail"];
		}

		$sqlsettings = "SELECT vsite_name,vadmin_email FROM ".$tbl_prefix."settings";
		$resultsettings = mysql_query($sqlsettings) or die(mysql_error());
		if(mysql_num_rows($resultsettings) > 0){
			   $rowsettings = mysql_fetch_array($resultsettings);
			   $site_name = $rowsettings["vsite_name"];
			   $site_email = $rowsettings["vadmin_email"];
		}

		$message =	"<html><head></head><body><table>
		         	<tr><td width=100% align=left colspan=2>Hi,<br>$site_name user '".$username."' has ordered the following plans at the $site_name site.<br>&nbsp; </td></tr>
					<tr><td width=100% align=left colspan=2>The details are as given below:<br>&nbsp;</td></tr>
		            <tr><td width=30% align=left>User Name  </td><td width=70% align=left>: ".$username." </td></tr>
		            <tr><td width=30% align=left>EMail   </td><td width=70% align=left>: ".$useremail."</td></tr>
					<tr><td width=30% align=left>Purchase Type   </td><td width=70% align=left>: ".$ordertype."</td></tr>
					<tr><td width=30% align=left>Plans Selected  </td><td width=70% align=left>&nbsp;</td></tr>
		            <tr><td width=30% align=left>&nbsp;</td><td width=70% align=left><div align=left> ".$itemspurchased."</div></td></tr>
		            <tr><td width=30% align=left>Date of Purchase  </td><td width=70% align=left>: ".$today."</td></tr>";
		if($ordertype == "PAID"){
			$message .="<tr><td width=30% align=left>Amount   </td><td width=70% align=left>: ".$amount."</td></tr>
					<tr><td width=30% align=left>Payment Method  </td><td width=70% align=left>: ".$gpaymethod."</td></tr>";
		}
					
					
		$message .=	"</table></body></html>";
		
		//echo "<br>".$message;	
		$from = $site_email;
		$to = $site_email;
		@mail($to, "Service Purchase at $site_name.", "$message","MIME-Version: 1.0\r\nContent-type: text/html; charset=iso-8859-1\r\nFrom:$from");
		//$to = "info@armia.com";
		//@mail($to, "Service Purchase at SupportPRO.com site.", "$message","MIME-Version: 1.0\r\nContent-type: text/html; charset=iso-8859-1\r\nFrom:$from");
		return true;
	}else{
		return false;
	}
}

function datetimetomysql($vdate){
            $vdate_ar=explode(" ",$vdate);
            $split_date=explode("-",$vdate_ar[0]);
                $split_time=explode(":",$vdate_ar[1]);
            $day=$split_date[0]        ;
                $mnth=$split_date[1];
                $year=$split_date[2];
                $hour=$split_time[0];
                $minute=$split_time[1];
                $second=$split_time[2];
                if($second=="")
                   $second="59";
                   return $year."-".$mnth."-".$day;
}

function datetimefrommysql($vdate){
  $vdate_ar=explode(" ",$vdate);
  $split_date=explode("-",$vdate_ar[0]);
  $split_time=explode(":",$vdate_ar[1]);
  $day=$split_date[2]        ;
  $mnth=$split_date[1];
  $year=$split_date[0];
  $hour=$split_time[0];
  $minute=$split_time[1];
  $second=$split_time[2];
   if($second=="")
           $second="59";
           //return $year."-".$mnth."-".$day." ".$hour.":".$minute.":".$second;
          // return $mnth."-".$day."-".$year." ".$hour.":".$minute.":".$second;
          return $mnth."-".$day."-".$year;

}

?>