DROP TABLE IF EXISTS easybiller_aff_ref_txns;

CREATE TABLE easybiller_aff_ref_txns (
  nid int(11) NOT NULL auto_increment,
  n_aff_id int(11) default NULL,
  n_ref_id int(11) default NULL,
  nuser_id int(11) default NULL,
  ddate date default NULL,
  namount float default NULL,
  vsettled_status varchar(5) default '0',
  vsettled_type varchar(20) default NULL,
  vsettled_ref_no varchar(50) default NULL,
  dsettled_date datetime default NULL,
  PRIMARY KEY  (nid)
) TYPE=MyISAM;

DROP TABLE IF EXISTS easybiller_affiliates;

CREATE TABLE easybiller_affiliates (
  naff_id int(11) NOT NULL auto_increment,
  vaff_name varchar(100) default NULL,
  vaff_login varchar(100) default NULL,
  vaff_pass varchar(100) default NULL,
  vaff_mail varchar(100) default NULL,
  vaff_address varchar(100) default NULL,
  vaff_city varchar(100) default NULL,
  vaff_state varchar(100) default NULL,
  vaff_country varchar(100) default NULL,
  vaff_zip varchar(20) default NULL,
  vaff_phone varchar(20) default NULL,
  vdelstatus char(1) NOT NULL default '0',
  ddate_reg date default '0000-00-00',
  PRIMARY KEY  (naff_id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS easybiller_cart;

CREATE TABLE easybiller_cart (
  ncart_id int(11) NOT NULL auto_increment,
  nuser_id int(11) default '0',
  nplan_id int(11) default '0',
  nrate_id int(11) default '0',
  ncomboid int(11) default '0',
  vrate_description varchar(150) default NULL,
  namount double default '0',
  namt_after_disc double default '0',
  nquantity double default '0',
  ddate datetime default NULL,
  dvalid_until datetime default NULL,
  nduration int(11) default '0',
  vrecurring varchar(10) default NULL,
  nrecurring_days int(11) default '0',
  npacket_count int(11) default '0',
  nunit_count int(11) default '0',
  vunit_type varchar(10) default NULL,
  vbilling_interval char(2) NOT NULL default 'M',
  nunit_rate double default '0',
  namt_month double default '0',
  namt_month_after_disc double default '0',
  ndiscount double default '0',
  PRIMARY KEY  (ncart_id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS easybiller_combo;

CREATE TABLE easybiller_combo (
  ncomboid int(11) NOT NULL auto_increment,
  vcombodesc varchar(200) default NULL,
  vdelstatus varchar(10) default '0',
  PRIMARY KEY  (ncomboid)
) TYPE=MyISAM;

DROP TABLE IF EXISTS easybiller_css;

CREATE TABLE easybiller_css (
  nCSSId bigint(20) NOT NULL auto_increment,
  vCSSName varchar(50) default NULL,
  vCSSURL text NOT NULL,
  dDate datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (nCSSId)
) TYPE=MyISAM;

DROP TABLE IF EXISTS easybiller_general;

CREATE TABLE easybiller_general (
  ngen_id int(11) NOT NULL auto_increment,
  nuser_id int(11) default '0',
  vfirst_name varchar(100) default NULL,
  vlast_name varchar(100) default NULL,
  vnumber varchar(100) default NULL,
  vcode varchar(10) default NULL,
  vmonth varchar(10) default NULL,
  vyear varchar(10) default NULL,
  vaddress varchar(100) default NULL,
  vcity varchar(100) default NULL,
  vstate varchar(100) default NULL,
  vpostal_code varchar(10) default NULL,
  vcompany varchar(200) default NULL,
  vphone varchar(100) default NULL,
  vcountry varchar(50) default NULL,
  vemail varchar(100) default NULL,
  vstatus varchar(10) default '0',
  PRIMARY KEY  (ngen_id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS easybiller_generate_id;

CREATE TABLE easybiller_generate_id (
  nid int(11) NOT NULL auto_increment,
  ninvoice_id int(11) default '0',
  PRIMARY KEY  (nid)
) TYPE=MyISAM;

DROP TABLE IF EXISTS easybiller_invoice;

CREATE TABLE easybiller_invoice (
  ninv_id int(11) NOT NULL auto_increment,
  vinv_no varchar(100) default NULL,
  nuser_id int(11) default '0',
  dgenerated datetime default NULL,
  ddue datetime default NULL,
  namt double default '0',
  vmethod varchar(10) default NULL,
  vtxn_id varchar(100) default NULL,
  dpayment datetime default NULL,
  vstatus varchar(10) default '0',
  ntotal double default '0',
  ndiscount double default '0',
  vcoupon_id varchar(100) default NULL,
  vterms varchar(100) default NULL,
  vnotes text,
  vrescode_resdate varchar(200) NOT NULL default '',
  nattempt int(11) NOT NULL default '0',
  votherpaymentnote text,
  PRIMARY KEY  (ninv_id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS easybiller_invoice_plan;

CREATE TABLE easybiller_invoice_plan (
  ninv_detail_id int(11) NOT NULL auto_increment,
  ninv_id int(11) default '0',
  nplan_id int(11) default '0',
  nrate_id int(11) default '0',
  ncomboid int(11) default '0',
  vrate_desc varchar(150) default NULL,
  namt double default '0',
  vrecurring varchar(10) default NULL,
  nrecurring_days int(11) default '0',
  nduration int(11) default '0',
  npacket_count int(11) default '0',
  nunit_count int(11) default '0',
  vunit_type varchar(10) default NULL,
  vbilling_interval char(2) NOT NULL default 'M',
  nunit_rate double default '0',
  namt_disc double default '0',
  namt_month double default '0',
  namt_month_after_disc double default '0',
  ndiscount double default '0',
  ddate_start datetime default NULL,
  ddate_stop datetime default NULL,
  PRIMARY KEY  (ninv_detail_id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS easybiller_lookup;

CREATE TABLE easybiller_lookup (
  vcode varchar(10) NOT NULL default '',
  vdesc varchar(100) default NULL,
  PRIMARY KEY  (vcode)
) TYPE=MyISAM;

DROP TABLE IF EXISTS easybiller_otherpayments;

CREATE TABLE easybiller_otherpayments (
  notherpayment_id int(20) NOT NULL auto_increment,
  vstatus varchar(10) default NULL,
  votherpayments varchar(100) default NULL,
  PRIMARY KEY  (notherpayment_id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS easybiller_service_types;

CREATE TABLE easybiller_service_types (
  nst_id smallint(6) NOT NULL auto_increment,
  vst_type varchar(20) NOT NULL default '',
  venablestatus varchar(4) NOT NULL default 'Y',
  PRIMARY KEY  (nst_id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS easybiller_settings;

CREATE TABLE easybiller_settings (
  nsettings_id int(11) NOT NULL auto_increment,
  vsite_name varchar(200) default NULL,
  vlogo_url varchar(100) default NULL,
  nCSSId tinyint(4) NOT NULL default '1',
  vadmin_email varchar(100) default NULL,
  vadmin_signature varchar(250) default NULL,
  vinvoice_tofields varchar(250) default NULL,
  vinvoice_address varchar(250) default NULL,
  cenable_authorize char(1) default 'Y',
  vauthorize_loginid varchar(200) default NULL,
  vauthorize_transkey varchar(200) default NULL,
  vauthorize_password varchar(200) default NULL,
  vauthorize_email varchar(200) default NULL,
  vauthorize_test_mode char(1) default 'N',
  cenable_paypal char(1) default 'N',
  vpaypal_test_mode char(1) default 'Y',
  vpaypalidentitytoken varchar(200) default NULL,
  vpaypalemail varchar(100) default NULL,
  cenable_checkout char(1) default 'N',
  vcheckout_test_mode char(1) default 'Y',
  vcheckouttranskey varchar(100) default NULL,
  cuser_approval_type char(1) default 'A',
  vuser_entry_visible varchar(250) default 'ALL',
  vuser_entry_mandatory varchar(250) default 'ALL',
  callow_plans_freetrial char(1) default 'N',
  nfreetrial_days int(11) default '0',
  vother_payment_methods varchar(250) default NULL,
  naffiliate_comm int(11) default '0',
  nreferral_comm int(11) default '0',
  nFailureAttempt smallint(6) NOT NULL default '3',
  cintegrate_helpdesk char(1) NOT NULL default 'N',
  vsite_url varchar(250) default NULL,
  PRIMARY KEY  (nsettings_id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS easybiller_support_categories;

CREATE TABLE easybiller_support_categories (
  ncat_id int(2) NOT NULL auto_increment,
  vcat_name varchar(100) default NULL,
  vcat_desc varchar(100) default NULL,
  vcat_url varchar(40) default NULL,
  vcat_active char(1) default 'Y',
  PRIMARY KEY  (ncat_id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS easybiller_support_main;

CREATE TABLE easybiller_support_main (
  nss_id int(11) NOT NULL auto_increment,
  nuser_id int(11) default '0',
  nplan_id int(11) default '0',
  nrate_id int(11) default '0',
  ncomboid int(11) default '0',
  vinv_no varchar(100) default NULL,
  vplan_rate_desc varchar(150) default NULL,
  namt double default '0',
  vsupport_type varchar(10) default NULL,
  ddate_purchase datetime default NULL,
  vrecurring varchar(10) default NULL,
  nrecurring_days int(11) default '0',
  ddate_start datetime default NULL,
  ddate_stop datetime default NULL,
  nduration int(11) NOT NULL default '0',
  vdel_status varchar(10) default '0',
  npacket_count int(11) default '0',
  nunit_count int(11) default '0',
  nunit_balance int(11) default '0',
  vunit_type varchar(20) default NULL,
  vbilling_interval char(2) NOT NULL default 'M',
  nunit_rate double default '0',
  namt_after_disc double default '0',
  namt_month double default '0',
  namt_month_after_disc double default '0',
  ndiscount double default '0',
  nattempt int(11) default '0',
  PRIMARY KEY  (nss_id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS easybiller_support_plan_rates;

CREATE TABLE easybiller_support_plan_rates (
  nrate_id int(10) NOT NULL auto_increment,
  nplan_id int(10) NOT NULL default '0',
  ncomboid int(11) default '0',
  nrate_value decimal(5,2) default NULL,
  vrate_desc varchar(150) NOT NULL default '',
  vstatus char(1) NOT NULL default '0',
  nstart_value int(10) default NULL,
  nend_value int(10) default NULL,
  nbase_rate decimal(5,2) NOT NULL default '0.00',
  nduration int(11) NOT NULL default '24',
  npacket_size int(4) NOT NULL default '1',
  ncheckout_id varchar(10) default NULL,
  vrecurring varchar(10) default NULL,
  nrecurring_days int(11) default '0',
  nunit_count int(11) default '0',
  vunit_type varchar(20) default NULL,
  vbilling_interval char(2) NOT NULL default 'M',
  nunit_rate double default '0',
  ndiscount double default '0',
  vdescription varchar(100) default 'Pack',
  norder int(10) default '1',
  vdel_status char(1) default '0',
  PRIMARY KEY  (nrate_id)
) TYPE=MyISAM;


DROP TABLE IF EXISTS easybiller_support_plans;

CREATE TABLE easybiller_support_plans (
  nplan_id int(10) NOT NULL auto_increment,
  ncat_id int(2) NOT NULL default '0',
  vplan_desc varchar(255) default NULL,
  nuser_id int(11) default '0',
  vplan_status char(1) NOT NULL default 'Y',
  PRIMARY KEY  (nplan_id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS easybiller_user_mast;

CREATE TABLE easybiller_user_mast (
  nuser_id int(10) NOT NULL auto_increment,
  vemail varchar(100) default '0',
  vpassword varchar(100) default '0',
  vname varchar(100) default '0',
  vlastname varchar(100) default '0',
  vtitle varchar(100) default '0',
  vorganization varchar(100) default '0',
  vwebsite varchar(100) default '0',
  valternate_email varchar(100) default '0',
  taddress tinytext NOT NULL,
  vcity varchar(100) NOT NULL default '',
  vstate varchar(100) default NULL,
  vzip varchar(10) default NULL,
  vcountry varchar(100) default '0',
  vtzone varchar(100) default NULL,
  vphone1 varchar(20) default '0',
  vphone2 varchar(20) default '0',
  vfax varchar(20) default '0',
  nCSSId tinyint(4) NOT NULL default '1',
  vyahoo varchar(50) default '0',
  vmsn varchar(50) default '0',
  vaol varchar(50) default '0',
  vicq varchar(50) default '0',
  vtech_name varchar(100) default '0',
  vtech_mail varchar(100) default '0',
  vbill_name varchar(100) default '0',
  vbill_mail varchar(100) default '0',
  ddate_reg date default '0000-00-00',
  vreg_status char(1) default '0',
  vagreement_status char(1) default '0',
  vaccount_status char(1) default '0',
  vdel_status char(1) default '0',
  vaccount_type varchar(20) default NULL,
  vuser_group char(1) NOT NULL default 'U',
  naff_id int(11) default NULL,
  vaff_type varchar(10) default NULL,
  nref_id int(11) default NULL,
  vapprovalcode varchar(200) default NULL,
  PRIMARY KEY  (nuser_id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS `dummy`;

CREATE TABLE dummy(
	num int(11) NOT NULL default '0',
	PRIMARY KEY (num),
	KEY dnumindex (num)
) TYPE=MyISAM;

DROP TABLE IF EXISTS `sptbl_actionlog`;
DROP TABLE IF EXISTS `sptbl_attachments`;
DROP TABLE IF EXISTS `sptbl_categories`;
DROP TABLE IF EXISTS `sptbl_companies`;
DROP TABLE IF EXISTS `sptbl_css`;
DROP TABLE IF EXISTS `sptbl_depts`;
DROP TABLE IF EXISTS `sptbl_downloads`;
DROP TABLE IF EXISTS `sptbl_feedback`;
DROP TABLE IF EXISTS `sptbl_fields`;
DROP TABLE IF EXISTS `sptbl_kb`;
DROP TABLE IF EXISTS `sptbl_labels`;
DROP TABLE IF EXISTS `sptbl_lang`;
DROP TABLE IF EXISTS `sptbl_lookup`;
DROP TABLE IF EXISTS `sptbl_news`;
DROP TABLE IF EXISTS `sptbl_personalnotes`;
DROP TABLE IF EXISTS `sptbl_pop3settings`;
DROP TABLE IF EXISTS `sptbl_priorities`;
DROP TABLE IF EXISTS `sptbl_pvtmessages`;
DROP TABLE IF EXISTS `sptbl_reminders`;
DROP TABLE IF EXISTS `sptbl_replies`;
DROP TABLE IF EXISTS `sptbl_rules`;
DROP TABLE IF EXISTS `sptbl_spam_categories`;
DROP TABLE IF EXISTS `sptbl_spam_references`;
DROP TABLE IF EXISTS `sptbl_spam_tickets`;
DROP TABLE IF EXISTS `sptbl_spam_wordfreqs`;
DROP TABLE IF EXISTS `sptbl_staffdept`;
DROP TABLE IF EXISTS `sptbl_stafffields`;
DROP TABLE IF EXISTS `sptbl_staffratings`;
DROP TABLE IF EXISTS `sptbl_staffs`;
DROP TABLE IF EXISTS `sptbl_temp_tickets`;
DROP TABLE IF EXISTS `sptbl_templates`;
DROP TABLE IF EXISTS `sptbl_tickets`;
DROP TABLE IF EXISTS `sptbl_users`;
DROP TABLE IF EXISTS `sptbl_xtrastatus`;

CREATE TABLE sptbl_actionlog(nALId bigint(20) NOT NULL auto_increment,nStaffId bigint(20) default '0',nUserId bigint(20) default '0',vAction varchar(100) NOT NULL default '',vArea varchar(100) NOT NULL default '',nRespId varchar(100) NOT NULL default '0',dDate datetime NOT NULL default '0000-00-00 00:00:00',PRIMARY KEY (nALId)) TYPE=MyISAM;
CREATE TABLE sptbl_attachments(nAttachId bigint(20) NOT NULL auto_increment,nTicketId bigint(20) default NULL,nReplyId bigint(20) default NULL,vAttachReference varchar(100) NOT NULL default '',vAttachUrl text NOT NULL,PRIMARY KEY (nAttachId)) TYPE=MyISAM;
CREATE TABLE sptbl_categories(nCatId bigint(20) NOT NULL auto_increment,nDeptId bigint(20) NOT NULL default '0',vCatDesc varchar(100) NOT NULL default '',nParentId bigint(20) NOT NULL default '0',vRoute varchar(100) NOT NULL default '',nCount bigint(20) NOT NULL default '0',PRIMARY KEY (nCatId)) TYPE=MyISAM;
CREATE TABLE sptbl_companies(nCompId bigint(20) NOT NULL auto_increment,vCompName varchar(100) default NULL,vCompAddress1 varchar(100) default NULL,vCompAddress2 varchar(100) default NULL,vCompCity varchar(100) default NULL,vCompState varchar(100) default NULL,nCompZip varchar(25) default NULL,vCompCountry varchar(100) default NULL,vCompPhone varchar(20) default NULL,vCompFax varchar(20) default NULL,vCompMail varchar(100) default NULL,vCompContact varchar(100) NOT NULL default '',vDelStatus char(1) default '0',PRIMARY KEY  (nCompId)) TYPE=MyISAM;
CREATE TABLE sptbl_css(nCSSId bigint(20) NOT NULL auto_increment,vCSSName varchar(50) default NULL,vCSSURL text NOT NULL,dDate datetime NOT NULL default '0000-00-00 00:00:00',PRIMARY KEY  (nCSSId)) TYPE=MyISAM;
CREATE TABLE sptbl_depts(nDeptId bigint(20) NOT NULL auto_increment,nCompId bigint(20) NOT NULL default '0',vDeptDesc varchar(100) NOT NULL default '',nDeptParent bigint(20) NOT NULL default '0',vDeptMail varchar(100) default NULL,vDeptCode varchar(6) NOT NULL default '',nResponseTime int(11) default '0',PRIMARY KEY  (nDeptId)) TYPE=MyISAM;
CREATE TABLE sptbl_downloads(nDLId bigint(20) NOT NULL auto_increment,vDescription varchar(100) NOT NULL default '',vURL text  NOT NULL,dPostdate datetime NOT NULL default '0000-00-00 00:00:00',vType char(1) NOT NULL default '2',PRIMARY KEY  (nDLId)) TYPE=MyISAM;
CREATE TABLE sptbl_feedback(nFBId bigint(20) NOT NULL auto_increment,nTicketId bigint(20) NOT NULL default '0',vFBTitle varchar(100) NOT NULL default '',tFBDesc text NOT NULL,dDate datetime NOT NULL default '0000-00-00 00:00:00', PRIMARY KEY (nFBId), KEY fddateindex (dDate), KEY fdticketidindex (nTicketId)) TYPE=MyISAM;
CREATE TABLE sptbl_fields(nFieldId bigint(20) NOT NULL auto_increment,vFieldName varchar(100) NOT NULL default '',vFieldDesc varchar(100) NOT NULL default '',PRIMARY KEY  (nFieldId)) TYPE=MyISAM;
CREATE TABLE sptbl_kb(nKBID bigint(20) NOT NULL auto_increment,nCatId bigint(20) NOT NULL default '0',nStaffId bigint(20) NOT NULL default '0',vKBTitle varchar(100) NOT NULL default '',tKBDesc mediumtext NOT NULL,dDate datetime NOT NULL default '0000-00-00 00:00:00',vStatus char(1) NOT NULL default 'A',PRIMARY KEY  (nKBID)) TYPE=MyISAM;
CREATE TABLE sptbl_labels(nLabelId bigint(20) NOT NULL auto_increment,vLabelname varchar(100) default NULL,nStaffId bigint(20) default NULL,PRIMARY KEY  (nLabelId)) TYPE=MyISAM;
CREATE TABLE sptbl_lang(vLangCode varchar(10) NOT NULL default '',VLangDesc varchar(50) NOT NULL default '',PRIMARY KEY  (vLangCode)) TYPE=MyISAM;
CREATE TABLE sptbl_lookup(nLookUpId bigint(20) NOT NULL auto_increment,vLookUpName varchar(100) NOT NULL default '',vLookUpValue varchar(200) NOT NULL default '',PRIMARY KEY  (nLookUpId)) TYPE=MyISAM;
CREATE TABLE sptbl_news(nNewsId bigint(20) NOT NULL auto_increment,vTitle varchar(100) NOT NULL default '',tNews text NOT NULL,dPostdate datetime NOT NULL default '0000-00-00 00:00:00',dVaildDate datetime NOT NULL default '0000-00-00 00:00:00',vType char(1) NOT NULL default 'S',PRIMARY KEY  (nNewsId)) TYPE=MyISAM;
CREATE TABLE sptbl_personalnotes(nPNId bigint(20) NOT NULL auto_increment,nStaffId bigint(20) NOT NULL default '0',nTicketId bigint(20) NOT NULL default '0',vStaffLogin varchar(100) default NULL,vPNTitle varchar(100) NOT NULL default '',tPNDesc text NOT NULL,dDate datetime NOT NULL default '0000-00-00 00:00:00',PRIMARY KEY  (nPNId)) TYPE=MyISAM;
CREATE TABLE sptbl_pop3settings(nPop3Id bigint(20) NOT NULL auto_increment,nDeptId bigint(20) NOT NULL default '0',vDeptEmail varchar(100) NOT NULL default '',vServerName varchar(200) NOT NULL default '',vUserName varchar(100) NOT NULL default '',vPassword varchar(100) NOT NULL default '',nPortNo bigint(10) NOT NULL default '0', PRIMARY KEY  (nPop3Id)) TYPE=MyISAM;
CREATE TABLE sptbl_priorities(nPriorityId bigint(20) NOT NULL auto_increment,nPriorityValue bigint(20) NOT NULL default '0',vPriorityDesc varchar(100) NOT NULL default '0',vTicketColor varchar(10) NOT NULL default '#FFFFFF',PRIMARY KEY  (nPriorityId)) TYPE=MyISAM;
CREATE TABLE sptbl_pvtmessages(nPMId bigint(20) NOT NULL auto_increment,vPMTitle varchar(100) NOT NULL default '',tPMDesc text NOT NULL,nFrmStaffId bigint(20) NOT NULL default '0',nToStaffId bigint(20) NOT NULL default '0',dDate datetime NOT NULL default '0000-00-00 00:00:00',vStatus char(1) NOT NULL default 'o',PRIMARY KEY  (nPMId)) TYPE=MyISAM;
CREATE TABLE sptbl_reminders(nRemId bigint(20) NOT NULL auto_increment,nStaffId bigint(20) default '0',vRemTitle varchar(100) NOT NULL default '',tRemDesc text NOT NULL,dRemAlert datetime NOT NULL default '0000-00-00 00:00:00',dRemPost datetime NOT NULL default '0000-00-00 00:00:00',PRIMARY KEY  (nRemId)) TYPE=MyISAM;
CREATE TABLE sptbl_replies(nReplyId bigint(20) NOT NULL auto_increment,nTicketId bigint(20) NOT NULL default '0',nStaffId bigint(20) default NULL,nUserId bigint(20) default NULL,vStaffLogin varchar(100) default NULL,dDate datetime NOT NULL default '0000-00-00 00:00:00',tReply mediumtext NOT NULL,tPvtMessage text,vReplyTime bigint(20) NOT NULL default '0',vDelStatus char(1) NOT NULL default '0',vMachineIP varchar(20) default '0.0.0.0',PRIMARY KEY  (nReplyId)) TYPE=MyISAM;
CREATE TABLE sptbl_rules(nRuleId bigint(20) NOT NULL auto_increment,vRuleName varchar(100) NOT NULL default '',nSearchTitle tinyint(4) NOT NULL default '0', nSearchBody tinyint(4) NOT NULL default '0',vSearchWords text NOT NULL,nStaffId bigint(20) NOT NULL default '0',nDeptId bigint(20) NOT NULL default '0',dDateCreated date NOT NULL default '0000-00-00',PRIMARY KEY  (nRuleId)) TYPE=MyISAM;
CREATE TABLE sptbl_spam_categories(category_id varchar(250) NOT NULL default '',probability double NOT NULL default '0',word_count bigint(20) NOT NULL default '0',PRIMARY KEY  (category_id)) TYPE=MyISAM;
CREATE TABLE sptbl_spam_references(id varchar(250) NOT NULL default '',category_id varchar(250) NOT NULL default '', content text NOT NULL, PRIMARY KEY  (id)) TYPE=MyISAM;
CREATE TABLE sptbl_spam_tickets(nSpamTicketId bigint(20) NOT NULL auto_increment,vuseremail varchar(100) default NULL,nDeptId bigint(20) NOT NULL default '0', vTitle varchar(100) NOT NULL default '0', tQuestion mediumtext NOT NULL,dPostDate datetime NOT NULL default '0000-00-00 00:00:00',vMachineIP varchar(20) default '0.0.0.0',tcontent text,PRIMARY KEY  (nSpamTicketId)) TYPE=MyISAM;
CREATE TABLE sptbl_spam_wordfreqs(word varchar(250) NOT NULL default '',category_id varchar(250) NOT NULL default '',count bigint(20) NOT NULL default '0',PRIMARY KEY  (word)) TYPE=MyISAM;
CREATE TABLE sptbl_staffdept(nStaffId bigint(20) NOT NULL default '0',nDeptId bigint(20) NOT NULL default '0') TYPE=MyISAM;
CREATE TABLE sptbl_stafffields(nStaffId bigint(20) NOT NULL default '0',nFieldId bigint(20) NOT NULL default '0',PRIMARY KEY(nStaffId,nFieldId)) TYPE=MyISAM;
CREATE TABLE sptbl_staffratings(nSRId bigint(20) NOT NULL auto_increment,nUserId bigint(20) NOT NULL default '0',nStaffId bigint(20) NOT NULL default '0',nTicketId bigint(20) default '0',tComments text NOT NULL,nMarks tinyint(4) NOT NULL default '0',PRIMARY KEY  (nSRId)) TYPE=MyISAM;
CREATE TABLE sptbl_staffs(nStaffId bigint(20) NOT NULL auto_increment,vStaffname varchar(100) NOT NULL default '',vLogin varchar(100) NOT NULL default '',vPassword varchar(100) NOT NULL default '',vOnline char(1) NOT NULL default '0',vMail varchar(100) NOT NULL default '',vYIM varchar(100) default NULL,vSMSMail varchar(100) default NULL,vMobileNo varchar(20) default NULL,nCSSId tinyint(4) NOT NULL default '1',nRefreshRate tinyint(4) NOT NULL default '1',nNotifyAssign tinyint(4) NOT NULL default '0',nNotifyPvtMsg tinyint(4) NOT NULL default '0',nNotifyKB tinyint(4) NOT NULL default '0',nNotifyArrival tinyint(4)default '0',vType char(1) NOT NULL default 'U',vDelStatus char(1) NOT NULL default '0',tSignature tinytext,nWatcher tinyint(4) NOT NULL default '0',PRIMARY KEY  (nStaffId)) TYPE=MyISAM;
CREATE TABLE sptbl_temp_tickets(nTpTicketId bigint(20) NOT NULL auto_increment,nTpUserId bigint(20) NOT NULL default '0',nTDeptId bigint(20) NOT NULL default '0',vTpTitle varchar(100) NOT NULL default '0',tTpQuestion mediumtext NOT NULL,vTpPriority bigint(20) NOT NULL default '0',dTpPostDate datetime NOT NULL default '0000-00-00 00:00:00',vAtt text,vStatus char(2) default NULL,PRIMARY KEY  (nTpTicketId)) TYPE=MyISAM;
CREATE TABLE sptbl_templates(nTemplateId bigint(20) NOT NULL auto_increment,dDate datetime NOT NULL default '0000-00-00 00:00:00',vTemplateTitle varchar(100) NOT NULL default '',tTemplateDesc text NOT NULL,nStaffId bigint(20) NOT NULL default '0',vStatus char(1) NOT NULL default '0',PRIMARY KEY  (nTemplateId)) TYPE=MyISAM;
CREATE TABLE sptbl_tickets(nTicketId bigint(20) NOT NULL auto_increment,nDeptId bigint(20) NOT NULL default '0',vRefNo varchar(50) NOT NULL default '',nUserId bigint(20) NOT NULL default '0',vUserName varchar(100) default NULL,vStaffLogin varchar(100) default NULL,vTitle varchar(100) NOT NULL default '0',tQuestion mediumtext NOT NULL,vPriority bigint(20) NOT NULL default '0',dPostDate datetime NOT NULL default '0000-00-00 00:00:00',vStatus varchar(50) default 'open',nOwner bigint(20) NOT NULL default '0',nLockStatus bigint(20) default '0',vDelStatus char(1) NOT NULL default '0',vMachineIP varchar(20) default '0.0.0.0',dLastAttempted datetime default NULL,nLabelId bigint(20) NOT NULL default '0',PRIMARY KEY  (nTicketId)) TYPE=MyISAM;
CREATE TABLE sptbl_users(nUserId bigint(20) NOT NULL auto_increment,nCompId bigint(20) NOT NULL default '0',vUserName varchar(100) NOT NULL default '',vEmail varchar(100) NOT NULL default '',vLogin varchar(100) NOT NULL default '',vPassword varchar(100) NOT NULL default '',dDate datetime NOT NULL default '0000-00-00 00:00:00',vOnline char(1) NOT NULL default '0',vCodeForPass varchar(10) default NULL,vBanned char(1) NOT NULL default '0',vDelStatus char(1) NOT NULL default '0',nCSSId tinyint(4) NOT NULL default '1',PRIMARY KEY  (nUserId)) TYPE=MyISAM;
CREATE TABLE sptbl_xtrastatus(nXtraId bigint(20) NOT NULL auto_increment,vXtraDesc varchar(100) NOT NULL default '',vXtraLang bigint(20) NOT NULL default '0',  PRIMARY KEY  (nXtraId)) TYPE=MyISAM;

REPLACE INTO easybiller_css VALUES (1, 'Green', 'style/green.css', '2007-03-21 00:00:00');
REPLACE INTO easybiller_css VALUES (2, 'Black', 'style/black.css', '2007-12-21 12:07:42');
REPLACE INTO easybiller_css VALUES (3, 'Red', 'style/red.css', '2007-03-21 00:00:00');
REPLACE INTO easybiller_css VALUES (4, 'Blue', 'style/blue.css', '2007-03-21 00:00:00');
REPLACE INTO easybiller_generate_id VALUES (1, 1);
REPLACE INTO easybiller_support_categories VALUES (1,'User specific plans','User specific plans',NULL,'Y');
REPLACE INTO easybiller_lookup VALUES ('inv_from', 'Supportpro,<br>&nbsp; 84 Whitman Drive,<br>&nbsp; Schaumburg, IL 60173<br>United States of America');
REPLACE INTO easybiller_lookup VALUES ('naff_amnt', '40');
REPLACE INTO easybiller_lookup VALUES ('nref_per', '50');
REPLACE INTO easybiller_settings VALUES (1, '@@SITE_NAME@@', 'defaultlogo.gif', 1, '@@ADMIN_EMAIL@@', 'Administrator\r\n@@SITE_NAME@@\r\n@@ROOT_URL@@', 'vname,vlastname,vemail,vorganization,taddress', '@@SITE_NAME@@\r\n@@ROOT_URL@@', 'N', '', '', '', '', 'N', 'N', 'N', 'paypalidtoken', 'paypal@paypal.com', 'N', 'Y', NULL, 'A', 'vemail,vname,vlastname,vtitle,vorganization,vwebsite,valternate_email,taddress,vcity,vstate,vzip,vcountry,vtzone,vphone1,vphone2,vfax,vyahoo,vmsn,vaol,vicq,vtech_name,vtech_mail,vbill_name,vbill_mail', 'vemail,vname,vwebsite,taddress,vcity,vstate,vzip,vcountry,vtzone,vphone1,vtech_name,vtech_mail,vbill_name,vbill_mail', 'N', 0, '', 2, 2, 3,'Y','');
REPLACE INTO easybiller_user_mast VALUES (1, '@@ADMIN_EMAIL@@', '@@ADMIN_PASSWD@@', 'admin', '', '', '@@SITE_NAME@@', '@@ROOT_URL@@', '', '', '', '', '30', '', 'GMT', '123234', '456456', '23423423423', 1, '', '', '', '0', 'admin', '@@ADMIN_EMAIL@@', 'admin', '@@ADMIN_EMAIL@@', '2007-03-10', '1', '1', '1', '0', NULL, 'A', 0, NULL, 0, '');

REPLACE INTO dummy VALUES (0);
REPLACE INTO dummy VALUES (1);
REPLACE INTO dummy VALUES (2);
REPLACE INTO dummy VALUES (3);
REPLACE INTO sptbl_css VALUES (1,'Cool Green','styles/coolgreen.css','2006-01-02 11:22:57');
REPLACE INTO sptbl_css VALUES (2,'Maroon','styles/meroon.css','2006-02-16 14:21:50');
REPLACE INTO sptbl_css VALUES (3,'Aqua Blue','styles/aquablue.css','2006-05-16 14:21:50');
REPLACE INTO sptbl_fields VALUES (1,'vRefNo','TEXT_REF_NO');
REPLACE INTO sptbl_fields VALUES (2,'vTitle','TEXT_TITLE');
REPLACE INTO sptbl_fields VALUES (3,'dPostDate','TEXT_POST_DATE');
REPLACE INTO sptbl_fields VALUES (4,'vStatus','TEXT_STATUS');
REPLACE INTO sptbl_fields VALUES (5,'vUserName','TEXT_USER_NAME');
REPLACE INTO sptbl_fields VALUES (6,'vPriority','TEXT_PRIORITY');
REPLACE INTO sptbl_fields VALUES (7,'vStaffLogin','TEXT_STAFF');
REPLACE INTO sptbl_fields VALUES (8,'nLockStatus','TEXT_LOCK_STATUS');
REPLACE INTO sptbl_lang VALUES ('en','english');
REPLACE INTO sptbl_lookup VALUES (1,'MailAdmin', '@@ADMIN_EMAIL@@');
REPLACE INTO sptbl_lookup VALUES (2,'MailTechnical', '@@ADMIN_EMAIL@@');
REPLACE INTO sptbl_lookup VALUES (3,'MailEscalation', '@@ADMIN_EMAIL@@');
REPLACE INTO sptbl_lookup VALUES (4,'MailFromName','SD');
REPLACE INTO sptbl_lookup VALUES (5,'MailFromMail', '@@ADMIN_EMAIL@@');
REPLACE INTO sptbl_lookup VALUES (6,'MailReplyName','SD-Reply');
REPLACE INTO sptbl_lookup VALUES (7,'MailReplyMail', '@@ADMIN_EMAIL@@');
REPLACE INTO sptbl_lookup VALUES (8,'SiteURL', '@@ROOT_URL@@');
REPLACE INTO sptbl_lookup VALUES (9,'HelpDeskURL', '@@ROOT_URL@@/helpdesk/index.php');
REPLACE INTO sptbl_lookup VALUES (10,'LangChoice','0');
REPLACE INTO sptbl_lookup VALUES (11,'DefaultLang','en');
REPLACE INTO sptbl_lookup VALUES (12,'Post2PostGap','2');
REPLACE INTO sptbl_lookup VALUES (13,'AutoLock','0');
REPLACE INTO sptbl_lookup VALUES (14,'VerifyTemplate','0');
REPLACE INTO sptbl_lookup VALUES (15,'VerifyKB','0');
REPLACE INTO sptbl_lookup VALUES (16,'EmailURL', '@@ROOT_URL@@/helpdesk/');
REPLACE INTO sptbl_lookup VALUES (37,'MaxfileSize','2097150');
REPLACE INTO sptbl_lookup VALUES (38,'HelpdeskTitle', '@@SITE_NAME@@');
REPLACE INTO sptbl_lookup VALUES (39,'Logourl','defaultlogo.gif');
REPLACE INTO sptbl_lookup VALUES (40,'Emailfooter','<table  width=\'100%\'><tr><td bgcolor=\'red\'>&nbsp </td></tr></table>');
REPLACE INTO sptbl_lookup VALUES (41,'Emailheader','<table width=\'100%\'><tr><td bgcolor=\'green\'>&nbsp </td></tr></table>');
REPLACE INTO sptbl_lookup VALUES (87,'ExtraStatus','InProcess');
REPLACE INTO sptbl_lookup VALUES (90,'ExtraStatus','New');
REPLACE INTO sptbl_lookup VALUES (88,'Attachments','bmp|image/bmp');
REPLACE INTO sptbl_lookup VALUES (89,'Attachments','jpg|image/jpeg');
REPLACE INTO sptbl_lookup VALUES (96,'Attachments','mid|audio/mid');
REPLACE INTO sptbl_lookup VALUES (97,'Attachments','mp3|audio/mp3');
REPLACE INTO sptbl_lookup VALUES (98,'Attachments','wma|audio/x-ms-wma');
REPLACE INTO sptbl_lookup VALUES (92,'Attachments','gif|image/gif');
REPLACE INTO sptbl_lookup VALUES (93,'RunLevel','0');
REPLACE INTO sptbl_lookup VALUES (94,'logactivity','0');
REPLACE INTO sptbl_lookup VALUES (95,'LoginURL', '@@ROOT_URL@@/helpdesk/index.php');
REPLACE INTO sptbl_lookup VALUES (99,'EmailPiping','1');
REPLACE INTO sptbl_lookup VALUES (100,'MaxPostsPerPage','30');
REPLACE INTO sptbl_lookup VALUES (101,'OldestMessageFirst','1');
REPLACE INTO sptbl_lookup VALUES (102,'UserAuthenticate', '1');
REPLACE INTO sptbl_lookup VALUES (103,'PostTicketBeforeLogin', '1');
REPLACE INTO sptbl_lookup VALUES (104,'spamfiltertype', 'OFF');
REPLACE INTO sptbl_lookup VALUES (105,'MessageRule', '0');
REPLACE INTO sptbl_lookup VALUES (106, 'SMTPSettings', '0');
REPLACE INTO sptbl_lookup VALUES (107, 'SMTPServer', '');
REPLACE INTO sptbl_lookup VALUES (108, 'SMTPPort', '');
REPLACE INTO sptbl_lookup VALUES (109,'Attachments','txt|text/plain');
REPLACE INTO sptbl_lookup VALUES (110,'Attachments','zip|application/x-zip');
REPLACE INTO sptbl_lookup VALUES (111,'Attachments','html|text/html');
REPLACE INTO sptbl_lookup VALUES (112,'Attachments','htm|text/html');
REPLACE INTO sptbl_lookup VALUES (113,'Attachments','doc|application/msword');
REPLACE INTO sptbl_lookup VALUES (114,'Attachments','crt|application/x-x509-ca-cert');
REPLACE INTO sptbl_lookup VALUES (115,'Attachments','key|key|application/octet-stream');
REPLACE INTO sptbl_lookup VALUES (116,'Attachments','csv|text/plain');
REPLACE INTO sptbl_lookup VALUES (117,'Attachments','csv|application/octet-stream');
REPLACE INTO sptbl_priorities VALUES (1,3,'High','#FFFFFF');
REPLACE INTO sptbl_priorities VALUES (2,2,'Medium','#FFFFFF');
REPLACE INTO sptbl_priorities VALUES (8,1,'Normal','#00FF00');
REPLACE INTO sptbl_priorities VALUES (3,4,'Urgent','#56dfdf');
REPLACE INTO sptbl_priorities VALUES (9,0,'Low','#000000');
REPLACE INTO sptbl_spam_categories VALUES ('spam', 0.887777777778, 799);
REPLACE INTO sptbl_spam_categories VALUES ('notspam', 0.112222222222, 101);
REPLACE INTO sptbl_stafffields VALUES (1,1);
REPLACE INTO sptbl_stafffields VALUES (1,2);
REPLACE INTO sptbl_stafffields VALUES (1,3);
REPLACE INTO sptbl_stafffields VALUES (1,4);

REPLACE INTO sptbl_companies(nCompId,vCompName,vCompAddress1,vCompCity,nCompZip,vCompCountry,vCompMail) VALUES (1, '@@ROOT_URL@@', '@@ROOT_URL@@', 'Alaska', '11111', 'UnitedStates', '@@ADMIN_EMAIL@@');
REPLACE INTO sptbl_staffs VALUES (1, '@@ADMIN_NAME@@', 'admin', '@@ADMIN_PASSWD@@', '1', '@@ADMIN_EMAIL@@', 'adminsms@yoursite.com','adminaol@yoursite.com','23453453',1,1,1,1,0,1,'A','0','Thank You\r\nAdministrator\r\nSupportdesk\r\n',0);
REPLACE INTO sptbl_staffs(nStaffId,vStaffname,vLogin,vPassword,vOnline,vMail,vYIM,vSMSMail,vMobileNo,nCSSId,nRefreshRate,nNotifyAssign,nNotifyPvtMsg,nNotifyKB,nNotifyArrival,vType,vDelStatus,tSignature) VALUES ('2','Staff','staff', '@@STAFF_PASSWD@@', '1', '@@STAFF_EMAIL@@', 'staffsms@yoursite.com', 'staffaol@yoursite.com', '23453453', 1, 1, 1, 1, 0,1,'S','0','Thank You\r\nStaff\r\nSupportdesk\r\n');
REPLACE INTO sptbl_stafffields(nStaffId,nFieldId) VALUES ('2','1'), ('2','2'),('2','3'),('2','4');
REPLACE INTO sptbl_depts(nDeptId, nCompId, vDeptDesc, nDeptParent, vDeptMail, vDeptCode) VALUES ('1','1','Support','0', 'dept@yoursite.com', 'D01');
REPLACE INTO sptbl_staffdept(nStaffId, nDeptId) VALUES ('2','1'), ('1','1');
